Loading...
Searching...
No Matches
fourdst::config::exceptions::ConfigSaveError Class Referencefinal

Thrown when saving the configuration to a file fails. More...

`#include <exceptions.h>`

Inheritance diagram for fourdst::config::exceptions::ConfigSaveError:
[legend]
Collaboration diagram for fourdst::config::exceptions::ConfigSaveError:
[legend]

## Private Member Functions

| ConfigError (const std::string &what)
| Constructs a ConfigError with a specific message.

## Additional Inherited Members

Public Member Functions inherited from fourdst::config::exceptions::ConfigError
| ConfigError (const std::string &what)
| Constructs a ConfigError with a specific message.
const char * | what () const noexcept override
| Returns the error message.

## Detailed Description

Thrown when saving the configuration to a file fails.

This usually indicates file I/O errors (e.g., permission denied, disk full).

## Member Function Documentation

## ConfigError()

fourdst::config::exceptions::ConfigError::ConfigError | ( | const std::string & | what | ) |

inlineexplicitprivate

Constructs a ConfigError with a specific message.

Parameters

  what | The error message.

The documentation for this class was generated from the following file:

- src/config/include/fourdst/config/exceptions/exceptions.h